# Uses of Class
java.rmi.activation.ActivationGroupDesc.CommandEnvironment

Packages that use ActivationGroupDesc.CommandEnvironment
Package
Description
java.rmi.activation
Provides support for RMI Object Activation.

## Uses of ActivationGroupDesc.CommandEnvironment in java.rmi.activation

Methods in java.rmi.activation that return ActivationGroupDesc.CommandEnvironment
Modifier and Type
Method
Description
`ActivationGroupDesc.CommandEnvironment`
ActivationGroupDesc.`getCommandEnvironment()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the group's command-environment control object.
Constructors in java.rmi.activation with parameters of type ActivationGroupDesc.CommandEnvironment
Modifier
Constructor
Description
``
`ActivationGroupDesc​(String className, String location, MarshalledObject<?> data, Properties overrides, ActivationGroupDesc.CommandEnvironment cmd)`
Deprecated, for removal: This API element is subject to removal in a future version.
Specifies an alternate group implementation and execution environment to be used for the group.
``
`ActivationGroupDesc​(Properties overrides, ActivationGroupDesc.CommandEnvironment cmd)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a group descriptor that uses the system defaults for group implementation and code location.